Subject: bug#10281: change in behavior of du with multiple arguments (commit efe53cc)

From: Eric Blake <[email-masked]>
Date: Fri, 16 Dec 2011 17:36:09 -0700

On 12/16/2011 01:46 PM, Elliott Forney wrote:
> In this scheme, the GNU du retains compatibility with Solaris, AIX,
> OSX, et cetra, but the user has the option to count multiple command
> line arguments only once.  I do agree that this functionality can be
> useful in some circumstances I just think it is a confusing default.
> 
>> No, I don't think they conform to POSIX in the above example.
>> Perhaps this is a bug in POSIX
> 
> Of course, maybe the first thing to do is to get clarification on the
> POSIX spec.

OK, I'll take on that task, and post a link once I've submitted the bug
report.

-- 
Eric Blake   [email-masked]    +1-919-301-3266
Libvirt virtualization library http://libvirt.org